> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/volleyball/live-websockets/betting-live-actions.md).

# Betting - Live actions

The Live Actions websocket offers a live 'stream' of team and player actions during a match. It is primarily used by clients integrating data for live betting markets. Updates will be received whenever a key action is completed, and this websocket is essential for live scores and match actions. To connect to this websocket endpoint, the provided authentication token is required. Heartbeats are sent from this endpoint between data packets to indicate a continuous connection.

## Endpoint URL

## Live match actions

<mark style="color:$primary;">Legacy -</mark>`wss://dde-streams.data.imgarena.com/{sport}/fixtures/{fixtureId}/actions`(Decommissioning on 30th Sept 2026)

**NEW** - `wss://dde-streams.data.srarena.io/{sport}/fixtures/{fixtureId}/actions`&#x20;

#### Path Parameters

| Name                                        | Type   | Description                                                                                            |
| ------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------ |
| sport<mark style="color:red;">\*</mark>     | String | A unique name for the requested sport. **Example**: `basketball`, `soccer`, `v2/volleyball`, `snooker` |
| fixtureId<mark style="color:red;">\*</mark> | UUID   | Unique id of a requested fixture.                                                                      |

#### Headers

| Name                                     | Type   | Description                                      |
| ---------------------------------------- | ------ | ------------------------------------------------ |
| Accept<mark style="color:red;">\*</mark> | String | application/vnd.imggaming.dde.api+json;version=1 |
| Connection                               | String | keep-alive                                       |

{% tabs %}
{% tab title="401: Unauthorized " %}

```javascript
{
    The supplied authentication is invalid
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}
{% endtabs %}

## Authentication

We don't look at the header for websockets. Instead we expect the client to push through that auth message immediately on connecting in the following format.

```json
{"authToken": "ACCESS_TOKEN"}
```

## Request limits

IMG Arena monitors customer traffic to ensure it follows guidelines and isn't excessive. We recommend a request rate of 5 per second and encourage staying connected to websockets instead of repeated re-connections.

## Request parameters

Two optional parameters are in common with these WebSocket endpoints:

* `speed` - this can be “fast” or “normal”. The default is normal and only applicable for offline matches.
* `startPosition` : integer value, default is 0. This is how many events to skip from the beginning of the list. e.g. five would start sending events from the 5th event received for that WebSockte. This is a helpful feature if you want to continue without getting all the events again from the beginning when you reconnect.

## Response Fields

<table data-header-hidden><thead><tr><th width="189">Property</th><th>Description</th></tr></thead><tbody><tr><td>action<br><a href="/pages/bzWc0D62kRcEfHT0Boo4"><em><mark style="color:blue;">Action []</mark></em></a></td><td>Detailed player action details within a match</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/volleyball/live-websockets/betting-live-actions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
